ts wrote:
>>>>>>"E" == Eugene Scripnik <Eugene.Scripnik / itgrp.net> writes:
> 
> 
> E> -e:1:in `require': loading from unsafe path 
> 
> [...]
> 
> E> Warning is ok, I have to warned that I am in insecure dir.
> E> But why require call failes? I use standard library from standard path 
> E> with right permitions.
> 
>  Because it has found an insecure directory ('.') in $LOAD_PATH. It first
>  test if $LOAD_PATH is secure, and stop (with $SAFE >= 1) if it has seen a
>  problem
I don't understand two things:
1) Why do I get warning and error. As far as I understand error will 
always occur after warning. So warning seems to be meaningless.
2) Why do I get error when I require _standard_ library from _standard_ 
path? The only insecurity is that pwd has wrong permitions. Is it 
intentional?

-- 
Eugene Scripnik
IT Group
Software Architect
Tel./Fax +380 (372) 58-43-10
email: Eugene.Scripnik / itgrp.net
http://www.itgrp.net/